package com.migao.config.log;



import com.migao.config.constant.LogType;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
* Created by IntelliJ IDEA.
* @author: lcl
* @Created: 2020/4/13 11:39
*/
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.METHOD})
public @interface LogAnnotation {
    /**
     *  描述
     */
    String describe();

    /**
     *  操作类型
     */
    LogType operationType();

    /**
     *  操作表名
     */
    String tableName();

    /**
     *  是否读取参数
     */
    String isParameters();
}
